#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
		
#ifndef __LN_H__
#define __LN_H__
		
typedef void (*voidFuncPtr)();
		
	// Other code parts
#include "video.h"
#include "sprites.h"
#include "background.h"
		
static inline void swap(int &x, int &y)
{
	if(x == y)
		return;
		
	x ^= y;
	y ^= x;
	x ^= y;
}
		
static inline int min(int x, int y) {
	return y + ((x - y) & -(x < y));
}

static inline int max(int x, int y) {
	return x - ((x - y) & -(x < y));
}

#endif
